<div ng-controller="PhyloTree as tree" class="phylo-tree">
  <div class="phylo-tree-controls">
    <button type="button" class="btn btn-xs btn-default" style="float:left;"
            ng-click="tree.resetSelection()"
            uib-tooltip="Reset tree visibility selections." tooltip-placement="right">
      Reset tree
      (<i class="fa fa-eye-slash"></i>
      <i class="fa fa-arrow-right"></i>
      <i class="fa fa-eye"></i>)
    </button>
    <i ng-if="tree.clickCascadeCount > 1" class="fa fa-fw fa-spinner fa-pulse" style="margin-left: 10px;"></i>
    <div style="float: right;">
      <button type="button" class="btn btn-xs btn-default"
              ng-click="tree.showPercentages = !tree.showPercentages"
              uib-tooltip="Toggle between gene counts and percentages." tooltip-placement="left">
        <i class="fa fa-percent"></i>
        <i class="fa" ng-class="{'fa-toggle-on': tree.showPercentages,'fa-toggle-off': !tree.showPercentages}"></i>
      </button>
      <button type="button" class="btn btn-xs btn-default"
              ng-click="tree.sunburstVisible = !tree.sunburstVisible;tree.sunburstOptions.chart.tooltip.enabled = tree.sunburstVisible"
              uib-tooltip="Toggle radial chart" tooltip-placement="left">
        <i class="fa fa-pie-chart"></i>
        <i class="fa" ng-class="{'fa-toggle-on': tree.sunburstVisible,'fa-toggle-off': !tree.sunburstVisible}"></i>
      </button>
    </div>
    <div style="clear:both;"></div>
  </div>
  <div uib-collapse="!tree.sunburstVisible" ng-class="{'sunburst-as-background': !tree.sunburstVisible}">
    <nvd3 options="tree.sunburstOptions" config="tree.sunburstConfig" data="tree.sunburstData"
          api="tree.sunburstApi"></nvd3>
  </div>
  <i ng-show="tree.root.expansionIsLoading" class="fa fa-spinner fa-pulse"></i>
  <ul class="fa-ul">
    <li ng-repeat="node in tree.root.children" ng-include="'components/PhyloTree/phylo-tree.node.html'"></li>
  </ul>
</div>